/**
 * @class kSelectionListFloat
 * @brief For selecting a float value based on weights
 */
class kSelectionListFloat
{
public:

	kSelectionListFloat &opAssign(const kSelectionListFloat &in);
	const uint GetNumEntries(void);
	int& Select(const bool);
	void AddItem(int, const int);
};
